# Record Class QParametersPositionalAny

java.lang.Object
java.lang.Record
com.io7m.quarrel.core.QParametersPositionalAny

All Implemented Interfaces:
  `QParametersPositionalType`

public record QParametersPositionalAny() extends Record implements QParametersPositionalType
Any positional arguments are allowed.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `QParametersPositionalAny()`
  Creates an instance of a `QParametersPositionalAny` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### QParametersPositionalAny

    public QParametersPositionalAny()
    Creates an instance of a `QParametersPositionalAny` record class.

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.